Return to Homepage

Update Contacts

http
PUT /domains/{domain}/contacts

Updates WHOIS contact details at the registrar.

Parameters

Field Type Required Description
contacts array Yes One object per contact to change: type (registrant, admin, tech or billing) with name, org, address1, address2, city, state, postcode, countrycode, phonenumber and email

Response

json
{ "message": "Contacts updated." }

Example

bash
curl -X PUT -H "Authorization: Bearer crane_..." \
  -H "Content-Type: application/json" \
  -d '{"contacts": [{"type": "registrant", "name": "Jane Doe", "org": "", "address1": "123 Main St", "address2": "", "city": "Anytown", "state": "CA", "postcode": "90210", "countrycode": "US", "phonenumber": "+1.5551234567", "email": "jane@example.com"}]}' \
  https://namecrane.org/api/v1/domains/example.com/contacts

Snagged on something?

Our sysadmins answer tickets around the clock.